<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM forum_prazdel WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$raz = DB::$dbs->queryFetch("SELECT * FROM forum_razdel WHERE id = ? LIMIT 1", [$arr['rid']]);

$title->SetTitle('Форум - Новая тема');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Форум - '.$arr['name'].' </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/forum" rel="v:url" property="v:title">Форум</a></li><li typeof="v:Breadcrumb"><a href="viewrazd.php?id='.$raz['id'].'" rel="v:url" property="v:title">'.$raz['name'].'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title"><b>'.$arr['name'].'</b></span></li></ol></div><div class="col-xs-12 col-sm-4 col-md-3 col-lg-3 text-right page_header_sidebar"></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><i class="md-forum"></i> Форум - '.$arr['name'].' - Новая тема</div>';
if ($raz['id'] == 6) {
if ($b['mosh'] > 0) {
echo'<div class="row_hard"> Мошенникам запрещено создавать темы в данном разделе!</div>';
///Подключаем шапку
$title->GetHeader();
die();
}
if ($b['row'] < 1) {
echo'<div class="row text_box"> Для создания темы в данном разделе Вам нужен уровень <font color=green><b>Постоялец</b></font> и выше. Для того, чтобы открыть доступ вам необходимо получить новый статус. <a href="/modules/index.html?i=status"> [ Подробнее о статусах ] </a></div>';
///Подключаем шапку
$title->GetHeader();
die();
}
}
if (isset($_POST['add'])) {
$err = [];
$form = ['name' => isset($_POST['name']) ? check($_POST['name']) : null, 'text' => isset($_POST['text']) ? check($_POST['text']) : null];
if (empty($form['name']) OR empty($form['text'])) {
$err[] = 'Заполните название темы и её содержание!';
}

if (mb_strlen($form['name']) < 3 && mb_strlen($form['name']) > 50) {
$err[] = 'Ошибка названия темы! Мин. 3 / макс. 50 символов.';
}

if (DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_topic WHERE name = ? AND user_id = ?", [$form['name'],$b['id']]) > 0) {
$err[] = 'Такая тема уже есть!';
}
if (empty($err)) {
DB::$dbs->query("INSERT INTO forum_topic SET name = ?, user_id = ?, time = ?, rid = ?, prid = ?, last = ?", [$form['name'],$b['id'],time(),$raz['id'],$id,time()]);
$last = DB::$dbs->lastInsertId();
DB::$dbs->query("INSERT INTO forum_mess SET text = ?, user_id = ?, time = ?, rid = ?, prid = ?, tid = ?", [$form['text'],$b['id'],time(),$raz['id'],$id,$last]);
$m = DB::$dbs->lastInsertId();
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [2,$b['id']]);
DB::$dbs->query("UPDATE `blogger` SET `post` = `post` + ? WHERE id = ?", [1,$b['id']]);
if ($_POST['addfile'] == 1) {
header('location: posting.php?do=addfile&id='.$m);
} else {
header('location: /forum/thema'.$last);
die();
}
} else {
echo '<div class="error">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}


echo '<div class="mainc"><form name="form" method="post" action="?id='.$id.'" method="POST" enctype="multipart/form-data">Тема:<br/><input class="form-control" rows="3" type="text" name="name"/><br/>Сообщение:<br/><br/>';
quickpaste('text');
quickpanel();
echo'</br></br><textarea class="form-control" rows="3" name="text"></textarea><br/><input type="checkbox" name="addfile" value="1"/> Прикрепить файл<br/> <input type="submit" name="add" class="btn btn-primary" value="Отправить"/></form></div>';
echo'<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/rules">Правила</a> | <a href="/bbcodes"> Справка BBcode</a> | <a href="/smiles">Все смайлы</a> | <a href="search">Поиск</a> | <a href="wholly_new">Найти новые</a></div>'; 

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>